Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Telnyx API key. Collections and results are automatically scoped to the authenticated user's organization.

Path Parameters

uuid
string<uuid>
required

The collection's unique identifier.

Example:

"6a09ccbd-8f9b-4c3a-9b0e-2f1d3c4b5a6e"

Body

application/json
source_type
enum<string>
required

The type of Telnyx data attached as a source. bucket requires an additional bucket_id. voice, meeting_bot, message, email, and whatsapp are searchable today; bucket attaches but is not yet searchable (Coming soon).

Available options:
voice,
meeting_bot,
message,
bucket,
email,
whatsapp
Example:

"voice"

bucket_id
string
required if source_type = bucket

The Telnyx Storage bucket name. Required when source_type is bucket; ignored otherwise.

Example:

"policy-docs"

Response

The created source.

Envelope containing a single collection source.

data
object